Skip to main content
POST
Upload RFI file

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

paymentId
string<uuid>
required

The payment id created previously. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

rfiId
string<uuid>
required

The RFI id created previously. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Body

multipart/form-data
fileMetadata
object
required

Contains metadata about the submitted file

encryption
object
required

Encryption details required to decrypt the file

encryptedFile
file
required

The binary file content, encrypted using AES-128-GCM. The corresponding 'encryptedAesKey' and 'iv' must be used for decryption

Response

RFI File uploaded successfully